#ifndef CORE_USB_USB
#define CORE_USB_USB

#include "usb_callback_event.h"

void usbcore_init();                                                                    // initialize USB core
uint32_t usbcore_schedule_transmission(uint8_t ep, const uint8_t *data, uint16_t size); // write data to endpoint, return with number of bytes actually written
uint32_t usbcore_schedule_reception(uint8_t ep, uint16_t size);                         // expect data coming from the endpoint
void usbcore_wake_up_endpoint(uint8_t ep, uint8_t dir);                                 // wake up endpoint

#endif /* CORE_USB_USB */
